<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('include/common.php');


/*
 * GUI
 */
opentable($locale['awec_calendar'].' - '.$ec_year);
ec_menu();


awec_set_title($locale['awec_calendar'].' - '.$ec_year);


echo '
<form action="'.FUSION_SELF.'" method="get">
<table width="100%" border="0">
<tbody>
<tr>
	<td align="left">
		<a href="'.FUSION_SELF.'?y='.($ec_year-1).'">&lt;&lt; '.($ec_year-1).'</a>
	</td>
	<td align="center">
		<strong>'.$locale['EC450'].':</strong>
		<input type="text" class="textbox" size="5"
			maxlength="4" name="y" value="'.$ec_year.'" />
		<input type="submit" class="button"
			value="'.$locale['EC451'].'" />
	</td>
	<td align="right">
		<a href="'.FUSION_SELF.'?y='.($ec_year+1).'">'.($ec_year+1).' &gt;&gt;</a>
	</td>
</tr>
</tbody>
</table>
</form>
<hr />';


$quicks = array();
for($i=1; $i<=12; ++$i) {
	$quicks[] = '<a href="'.FUSION_SELF.'?y='.$ec_year.'#mon'.$i.'">'
		.$locale['EC900'][$i].'</a>';
}
echo "\n<div align='center'>".implode(' | ', $quicks)."</div><br />\n";


$events = array();
$from = $ec_year.'-01-01';
$to = $ec_year.'-12-31';
awec_get_events($from, $to, $events, false);


for($i=1; $i<=12; ++$i) {
	echo '
<a name="mon'.$i.'"></a>
<table width="100%" cellspacing="0" cellpadding="0" class="'.$awec_styles['list'].'">
<colgroup>
	<col width="24" />
	<col width="16" />
	<col width="*" />
</colgroup>
<tr>
	<td align="center" colspan="3" class="tbl1"><b>'.$locale['EC900'][$i].'</b></td>
</tr>
<tbody>';

	if(!isset($events[$ec_year][$i])) {
		echo '
<tr>
	<td colspan="3"></td>
</tr>
</tbody>
</table>';
		continue;
	}

	$month = ($i<10 ? '0' : '').$i;


	ksort($events[$ec_year][$i], SORT_NUMERIC);
	$count = 0;
	foreach($events[$ec_year][$i] as $mday => $day_data) {
		echo '
<tr class="'.$awec_styles[$mday%2==0 ? 'even' : 'odd'].'">
	<td align="right" valign="bottom">'
		.'<a href="day.php?date='.$ec_year.'-'.$month
			.'-'.($mday<10 ? '0' : '').$mday.'">'.$mday.' </a></td>
	<td></td>
	<td valign="top">';
		if(count($day_data)) {
			foreach($day_data as $data) {
				if($data['is_birthday']) {
					echo '<a href="birthday.php'
						.'?id='.$data['user_id'].'">'
						.$data['ev_title'].'</a>'
						.' <img src="icons/birthday.gif" alt="'.$locale['EC712'].'" />'
						.'<br />';
				} else {
					echo '<a href="view_event.php'
						.'?id='.$data['ev_id'].'">'
						.$data['ev_title'].'</a><br />';
				}
			}
		}
		echo '
	</td>
</tr>';
	}

	echo '
</tbody>
</table>';
}
closetable();


require_once('include/die.php');
?>
