<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('include/common.php');

if($awec_settings['use_custom_css']) {
add_to_head("<link rel='stylesheet' href='".INFUSIONS."aw_ecal_panel/css/calendar.css' type='text/css' />");
}

if(isset($_GET['view']) && isset($locale['awec_month_view'][$_GET['view']])) {
	$view = $_GET['view'];
} else {
	$view = $awec_settings['default_month_view'];
}




/****************************************************************************
 * GUI: birthdays
 */
if(!$awec_settings['birthdays_are_events']
	&& $awec_settings['show_birthday_to_group']>=0
	&& checkgroup($awec_settings['show_birthday_to_group']))
{
        opentable(str_replace('%s', $locale['EC900'][$ec_month],
		$locale['EC401']));

	$from = $ec_year.'-'.$ec_month.'-01';

        $res = dbquery("SELECT user_name,
                DATE_FORMAT(user_birthdate, '".$awec_settings['birthdate_fmt']."') AS birthday,
		(YEAR('$from')-YEAR(user_birthdate)) AS years_old,
                user_id, user_avatar
                FROM ".DB_USERS."
                WHERE MONTH(user_birthdate)='".$ec_month."'
                ORDER BY DAYOFMONTH(user_birthdate) ASC");
        if(!dbrows($res)) {
                echo '<p>'.$locale['awec_none'].'</p>';
        } else {
                echo '
<ul>';
        }
        while($user = dbarray($res)) {
              if($user['user_avatar']!="") {
                                echo "<img src='".BASEDIR."images/avatars/"
                                .$user['user_avatar']."' alt='' /><br/>";
                }

                echo '
	<li>'.$user['birthday']
//                      .showdate("%x", $user['birthday'])
                        ." <a href='".BASEDIR."profile.php?lookup=".$user['user_id']
                        ."'>".$user['user_name'].'</a> ('.$user['years_old'].')</li>';
        }
        if(dbrows($res)) {
                echo '
</ul>';
        }

        closetable();
}











/****************************************************************************
 * GUI
 */
// create cal-navigation
$pyear = $ec_year;
$nyear = $ec_year;
$pmonth = $ec_month-1;
$nmonth = $ec_month+1;
if($pmonth<1) {
	$pmonth = 12;
	$pyear = $ec_year-1;
} elseif($nmonth>12) {
	$nmonth = 1;
	$nyear = $ec_year+1;
}

$sel_months = '';
for($i=1; $i<=12; ++$i) {
	$sel_months .= '
	<option value="'.$i.'"'
		.($i==$ec_month
			? ' selected="selected"'
			: ''
		).'>'.$locale['EC900'][$i].'</option>';
}



/****************************************************************************
 * GUI - month overview
 */
opentable($locale['awec_calendar']);
ec_menu();


awec_set_title('');


//flyingduck added &amp; instead of &

echo '
<table border="0" width="100%">
<colgroup>
	<col width="20%" />
	<col width="60%" />
	<col width="20%" />
</colgroup>
<tbody>
<tr>
	<td align="left">';
/****************************************************************************
* Remove the below image links to replace (left-arrow/right-arrow)
* images for Previous and Next months
* Replace image links with the following codes:
* Replace (......icons/arrows/left.png.......) with &lt;&lt; codes
* Replace (......icons/arrows/right.png.....) with &gt;&gt; codes
* This restores the 'default &codes' for these links
*/
echo '<a href="'.FUSION_SELF.'?y='.$pyear.'&amp;m='.$pmonth.'&amp;view='.$view.'"><img src="'.INFUSIONS.'aw_ecal_panel/icons/arrows/left.png" border="0" alt="Previous Month" /> '.$locale['EC900'][$pmonth].'</a>
	</td>
	<td align="center">
		<form method="get" action="'.FUSION_SELF.'">
		<input type="hidden" name="view" value="'.$view.'" />
		<select class="textbox" name="m">'.$sel_months.'</select>
		<input type="text" size="4" maxlength="4" class="textbox" name="y" value="'.$ec_year.'" />
		<input type="submit" value="'.$locale['EC451'].'" class="button" />
		</form>
	</td>
	<td align="right">
		<a href="'.FUSION_SELF.'?y='.$nyear.'&amp;m='.$nmonth.'&amp;view='.$view.'">'.$locale['EC900'][$nmonth].' <img src="'.INFUSIONS.'aw_ecal_panel/icons/arrows/right.png" border="0" alt="Next Month" /></a>
	</td>
</tr>
</tbody>
</table>
<hr />

<p>
<strong>'.$locale['EC402'].':</strong>
	<a href="'.FUSION_SELF.'?y='.$ec_year.'&amp;m='.$ec_month
		.'&amp;view=calendar">'
		.$locale['awec_month_view']['calendar'].'</a>
	| <a href="'.FUSION_SELF.'?y='.$ec_year.'&amp;m='.$ec_month
		.'&amp;view=list">'
		.$locale['awec_month_view']['list'].'</a>
	| <a href="'.FUSION_SELF.'?view='.$view.'">'.$locale['awec_today'].'</a>
</p>';


$content = array();
$month = ($ec_month<10 ? '0' : '').$ec_month;
for($i=1; $i<=31; ++$i) {
	if($view=='list') {
		$content[$i] = '&nbsp;';
	} else {
		$content[$i] = array(
			'style'	=> 'empty',
			'data'	=> '<a class="mday" href="day.php?date='.$ec_year.'-'.$month.'-'.($i<10 ? '0' : '').$i.'">'.$i.' </a>',
		);
	}
}


$events = array();
$from = $ec_year.'-'.$month.'-01';
$to = $ec_year.'-'.$month.'-'.$awec_last_day;
awec_get_events($from, $to, $events, false);
//ec_get_events($ec_year, $ec_month, 0, $events, false);


//debug_print($events);


if(count($events)) {
	foreach($events[$ec_year][$ec_month] as $day => $more) {
		$btext = '';
		foreach($more as $event) {
			$title = $event['ev_title'];
			if($event['is_birthday']) {
				$btext .= '<a href="birthday.php?id='.$event['user_id'].'">'.$event['ev_title'].'</a> <img src="icons/birthday.gif" alt="'.$locale['awec_user'].'" /><br />';
			} else {
				$btext .= '<a href="view_event.php?id='.$event['ev_id'].'">'.$event['ev_title'].'</a><br />';
			}
		}
		if(!empty($btext)) {
			$btext = ''.$btext.'';
		}

		if($view=='list') {
			$content[$day] = $btext;
		} else {
			$content[$day]['style'] = 'content';
			$content[$day]['data']	.= '<div style="overflow:hidden;">'
					.$btext
					.'</div>';
		}
	}
}
if($ec_is_this_month && $view!='list') {
	$content[$ec_today['mday']]['style'] = 'current';
}

if($view=='list') {
	$this_month = mktime(0, 0, 0, $ec_month, 1, $ec_year);
	$daysinmonth = date('t', $this_month);

	echo '
<table width="100%" class="'.$awec_styles['list'].'" cellspacing="0" cellpadding="0">
<colgroup>
	<col width="24" />
	<col width="16" />
	<col width="*" />
</colgroup>
<tbody>';
	for($i=1; $i<=$daysinmonth; ++$i) {
		if($ec_is_this_month && $ec_today['mday']==$i) {
			$tbl = 'current';
		} else {
			$tbl = ($i%2==0 ? 'even' : 'odd');
		}
		echo '
<tr style="height:30px;" class="'.$awec_styles[$tbl].'">
	<td align="right" valign="top">
		<a href="day.php?date='.$ec_year.'-'.$month.'-'.($i<10 ? '0' : '').$i.'">'.$i.'.</a></td>
	<td></td>
	<td valign="top">'.$content[$i].'</td>
</tr>';
	}
	echo '
</tbody>
</table>';
} else {
	awec_render_cal($ec_month, $ec_year, '', $content,
		80, true, $awec_settings['sun_first_dow']=='yes');
}

closetable();


require_once('include/die.php');
?>
