<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../../maincore.php');
require_once('../include/common.php');



/****************************************************************************
 * GET
 */
if(iAWEC_ADMIN) {
	$user_access = '';
} else {
	$user_access = " AND ((ev_status='".AWEC_PUBLISHED."'
		AND ev_private='0')"
		." OR ev.user_id='".$userdata['user_id']."')";
}
$res = dbquery("SELECT ev.*, user_name,
	DATE_FORMAT(ev_start, '".$awec_settings['date_fmt']."') AS date,
	DATE_FORMAT(ev_end_time, '".$awec_settings['time_fmt']."') AS end_time,
	DATE_FORMAT(ev_start_time, '".$awec_settings['time_fmt']."') AS start_time
	FROM ".AWEC_DB_EVENTS." AS ev
	LEFT JOIN ".DB_USERS." AS fu USING(user_id)
	WHERE ev_id='".$_GET['id']."' AND ev_repeat=0 $user_access");
if(dbrows($res)==0) {
	fallback('../index.php');
}
$event = dbarray($res);
if(!empty($user_access) && !checkgroup($event['ev_access'])) {
	fallback('../index.php');
}


//debug_print($settings);
$utc_fmt = 'Ymd\THis\Z';


$event_start = $event['ev_start'];
if($event['ev_start_time']) {
	$event_start .= ' '.$event['ev_start_time'];
}

$ical_event = array();

$ical_event[] = 'DTSTART:'.gmdate($utc_fmt, strtotime($event_start));
if($event['ev_end_time']) {
	$event_end = $event['ev_start'].' '.$event['ev_end_time'];
	$ical_event[] = 'DTEND:'.gmdate($utc_fmt, strtotime($event_end));
}

$ical_event[] = 'UID:'.$event['ev_id'].'@'.$settings['siteurl'];
$ical_event[] = 'DTSTAMP:'.gmdate($utc_fmt, $event['ctime']);
$ical_event[] = 'DESCRIPTION:'.str_replace("\r\n", '\n', $event['ev_body']);
$ical_event[] = 'SUMMARY:'.$event['ev_title'];

$ical_event[] = 'CLASS:'.($event['ev_private'] ? 'PRIVATE' : 'PUBLIC');

//$ical_event[] = 'ORGANIZER;CN="'.$event['user_name'].'"';




/****************************************************************************
 * OUTPUT
 */
ob_end_clean();
header('Content-Type: text/calendar');
header('Content-Disposition: attachment; filename="event.ics"');
header('Content-Type: text/calendar; charset=UTF-8');
echo "BEGIN:VCALENDAR\r
PRODID:http://wibix.de/infusions/pro_download_panel/download.php?did=27\r
VERSION:2.0\r
METHOD:PUBLISH\r
BEGIN:VEVENT\r
".implode("\r\n", $ical_event)."\r
END:VEVENT\r
END:VCALENDAR\r
";

?>
