<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."aw_ecal_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."aw_ecal_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."aw_ecal_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."aw_ecal_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['EC_title'];
$inf_description = $locale['EC_desc'];
$inf_version = $locale['EC_vers'];
$inf_developer = $locale['EC_deve'];
$inf_email = $locale['EC_email'];
$inf_weburl = $locale['EC_url'];

$inf_folder = "aw_ecal_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_AW_EC_EVENTS." (
ev_id int(10) unsigned NOT NULL auto_increment,
user_id smallint(5) unsigned NOT NULL default '0',
ev_title varchar(200) NOT NULL default '',
ev_body text NOT NULL,
ev_no_smileys tinyint(1) unsigned NOT NULL default '0',
ctime int(11) NOT NULL default '0',
mtime int(11) NOT NULL default '0',
ev_start date NOT NULL default '0000-00-00',
ev_end date NOT NULL default '0000-00-00',
ev_start_time time default NULL,
ev_end_time time default NULL,
ev_repeat tinyint(1) unsigned NOT NULL default '0',
ev_private tinyint(1) unsigned NOT NULL default '0',
ev_status tinyint(1) unsigned NOT NULL default '0',
ev_allow_logins tinyint(1) NOT NULL default '0',
ev_max_logins smallint(5) unsigned NOT NULL default '0',
ev_login_access tinyint(3) unsigned NOT NULL default '101',
ev_login_limit tinyint(1) unsigned NOT NULL default '0',
ev_login_start int(10) unsigned NOT NULL default '0',
ev_login_end int(10) unsigned NOT NULL default '0',
ev_access tinyint(3) unsigned NOT NULL default '0',
admin_user_id smallint(5) unsigned NOT NULL default '1',
PRIMARY KEY (ev_id),
KEY (ev_start),
KEY (ev_end)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[2] = DB_AW_EC_ATTACHMENTS." (
attach_id int(10) unsigned NOT NULL auto_increment,
event_id int(10) unsigned NOT NULL default '0',
filename varchar(100) NOT NULL default '',
comment varchar(200) NOT NULL default '',
PRIMARY KEY (attach_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[3] = DB_AW_EC_CATS." (
cat_id smallint(5) unsigned NOT NULL auto_increment,
cat_name varchar(100) NOT NULL default '0',
PRIMARY KEY (cat_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[4] = DB_AW_EC_EVENTS_IN_CATS." (
cat_id smallint(5) unsigned NOT NULL default '0',
event_id int(10) unsigned NOT NULL default '0',
PRIMARY KEY (cat_id, event_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[5] = DB_AW_EC_LOGINS." (
ev_id int(10) unsigned NOT NULL default '0',
user_id smallint(5) unsigned NOT NULL default '0',
login_comment varchar(50) NOT NULL default '',
login_status tinyint(1) unsigned NOT NULL default '0',
login_timestamp int(10) unsigned NOT NULL default '0',
PRIMARY KEY (ev_id, user_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[6] = DB_AW_EC_SETTINGS." (
need_admin_ok tinyint(1) NOT NULL default '1',
edit_group tinyint(3) unsigned NOT NULL default '103',
post_group tinyint(3) unsigned NOT NULL default '101',
user_can_edit tinyint(1) NOT NULL default '1',
show_today_in_panel tinyint(1) unsigned NOT NULL default '0',
show_birthday_to_group tinyint(3) unsigned NOT NULL default '0',
birthdays_are_events tinyint(1) unsigned NOT NULL default '0',
birthdate_fmt varchar(50) NOT NULL default '%m/%d/%Y',
date_fmt varchar(50) NOT NULL default '%m/%d/%Y',
sidedate_fmt varchar(50) NOT NULL default '%m/%d/ ',
time_fmt varchar(50) NOT NULL default '%H:%i',
invite_pm tinyint(1) unsigned NOT NULL default '0',
default_month_view enum('calendar','list') NOT NULL default 'calendar',
sho_cal_pics tinyint(1) unsigned NOT NULL default '0',
default_image_folder varchar(20) NOT NULL default '',
sho_cal_lgnd tinyint(1) unsigned NOT NULL default '0',
use_custom_css tinyint(1) unsigned NOT NULL default '0',
use_alt_side_calendar tinyint(1) unsigned NOT NULL default '0',
next_days_in_panel tinyint(1) NOT NULL default '0',
sun_first_dow enum('yes', 'no') NOT NULL default 'no',
version varchar(10) NOT NULL default '0.00'
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_insertdbrow[1] = DB_AW_EC_SETTINGS." (need_admin_ok, edit_group, post_group, user_can_edit, show_today_in_panel, show_birthday_to_group, birthdays_are_events, birthday_fmt, date_fmt, sidedate_fmt, time_fmt, invite_pm, default_month_view, sho_cal_pics, use_custom_css, use_alt_side_calendar, next_days_in_panel, sun_first_dow, version) VALUES('1','103','101','1','0','101','1','%m/%d/%Y','%m/%d/%Y', '%m/%d/ ', '%H:%i', '0', 'calendar', '0', '', '0', '0', '0', '0', 'yes', '2.01')";

$inf_droptable[1] = DB_AW_EC_EVENTS;
$inf_droptable[2] = DB_AW_EC_ATTACHMENTS;
$inf_droptable[3] = DB_AW_EC_CATS;
$inf_droptable[4] = DB_AW_EC_EVENTS_IN_CATS;
$inf_droptable[5] = DB_AW_EC_LOGINS;
$inf_droptable[6] = DB_AW_EC_SETTINGS;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='aw_ecal_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['EC_admin'],
	"image" => "image.gif",
	"panel" => "admin.php",
	"rights" => "AWEC"
);

$inf_sitelink[1] = array(
	"title" => $locale['EC_title'],
	"url" => "index.php",
	"visibility" => "0"
);
?>