<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once dirname(dirname(dirname(dirname(__FILE__)))).'/maincore.php';

require_once(INFUSIONS.'aw_ecal_panel/include/core.php');

switch(FUSION_VERSION) {
case 6:
	require_once(BASEDIR.'subheader.php');
	require_once(BASEDIR.'side_left.php');
	break;
case 7:
	require_once(THEMES.'templates/header.php');
	break;
case 'FF':
	break;
default:
	die;
}





?>
<script type='text/javascript'>
function ec_confirm_delete() {
	return confirm("<?php echo $locale['EC006']; ?>");
}
</script>
<?php

/****************************************************************************
 * FUNCS
 */
function ec_menu()
{
	global $locale, $awec_settings;

	$menu = '';
	$path = INFUSIONS.'aw_ecal_panel';

	$menu = '
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<colgroup>
	<col width="48%" />
	<col width="4%" />
	<col width="48%" />
</colgroup>
<tbody>
<tr>
	<td valign="top">
		<strong>'.$locale['awec_calendar'].':</strong>
		<a href="'.$path.'/calendar.php">'.$locale['EC009'].'</a>
		| <a href="'.$path.'/browse.php">'.$locale['EC010'].'</a>
		| <a href="'.$path.'/search.php">'.$locale['EC011'].'</a>';
	if(iAWEC_POST) {
		$menu .= '
		| <a href="'.$path.'/edit_event.php">'.$locale['EC100'].'</a>';
	}
	if(iMEMBER) {
		$menu .= '
		<br />
		<strong>'.$locale['EC007'].':</strong>
		<a href="'.$path.'/my_events.php">'.$locale['EC001'].'</a>
		| <a href="'.$path.'/my_logins.php">'.$locale['EC008'].'</a>';
	}
	$menu .= '
	</td>
	<td>&nbsp;</td>
	<td align="right" valign="bottom">';
	if(iAWEC_ADMIN) {
		if(iSUPERADMIN) {
			$menu .= '
		<a href="'.$path.'/admin.php">'.$locale['EC700'].'</a>
		| <a href="'.$path.'/admin_cats.php">'.$locale['awec_cats'].'</a>
		| <a href="'.$path.'/admin/misc.php">'.$locale['EC750'].'</a>
		| ';
		}
		$menu .= '<a href="'.$path.'/new_events.php">'
			.$locale['EC013'].'</a><br />';
	}
	$menu .= '<a href="'.$path.'/about.php">'.$locale['EC005'].'</a>
	</td>
</tr>
</tbody>
</table>
<hr />';

	echo $menu;
}


if(!function_exists('awec_render_event')) {
function awec_render_event($event, $target='')
{
	global $locale, $userdata, $awec_settings;


	$body = str_replace(stripinput(AWEC_BREAK), '', $event['ev_body']);
	if(!$event['ev_no_smileys']) {
		$body = parsesmileys($body);
	}
	$body = nl2br(parseubb($body));


	$admin_stuff = array();
	//
	if(iAWEC_ADMIN) {
		$can_edit = true;
		$can_publish = true;
	} else {
		$can_edit = (iMEMBER
			&& $event['user_id']==$userdata['user_id']
			&& ($event['ev_status']==AWEC_DRAFT
				|| ($awec_settings['user_can_edit']
					&& $event['ev_status']==AWEC_PUBLISHED)));
		$can_publish = false;
	}

	if($event['ev_allow_logins']) {
		$admin_stuff[] = "<a href='view_event.php?id="
			.$event['ev_id']."#logins'>".$locale['EC008']."</a>";
	}
	if($can_edit) {
		$admin_stuff[] = "<a href='edit_event.php?id="
			.$event['ev_id']."'>".$locale['awec_edit']."</a>";
	}
	if($can_publish && $event['ev_status']==AWEC_PENDING) {
		$admin_stuff[] = '<a href="include/event_ops.php?id='
			.$event['ev_id'].'&amp;publish&amp;backto=new">'
				.$locale['awec_publish'].'</a>';
	}
	if(iAWEC_ADMIN) {
		$admin_stuff[] = "<a href='include/event_ops.php?id="
				.$event['ev_id']."&amp;delete&amp;backto=new'"
			." onclick='return ec_confirm_delete();'>"
			.$locale['EC305']."</a>";
	}
	if(count($admin_stuff)) {
		$admin_stuff = implode(' | ', $admin_stuff);
	} else {
		$admin_stuff = '';
	}


	$more = array();
	if($event['ev_private']) {
		$more[] = '<img src="icons/locked.gif" alt="'.$locale['EC108'].'"'
				.' title="'.$locale['EC108'].'" />';
	} elseif($event['ev_access']) {
		$more[] = '<strong>'.$locale['EC116'].':</strong> '
				.getgroupname($event['ev_access']);
	}
	if($event['ev_repeat']) {
		$more[] = '<strong>'.$locale['EC107'].':</strong> '
				.$locale['EC125'][$event['ev_repeat']];
	} else {
		$more[] = '<a href="export/ical.php?id='.$event['ev_id'].'"><img src="icons/export.png" alt="'.$locale['awec_export'].'" title="'.$locale['awec_export'].'" class="noborder" /></a>';
	}

	$time = '';
	if($event['start_time']) {
		$time = $event['start_time'];
		if($event['end_time']) {
			$time .= ' - '.$event['end_time'];
		}
		$time .= '<br />';
	}

/*
	echo '
<div class="awec_event">
	<img src="icons/event.gif" alt="'.$locale['EC300'].'" class="icon" />
	<div class="head">
		<div class="left">
			'.$event['date'].'<br />
			'.$time.'
			<span class="title">'.$event['ev_title'].'</span>
		</div>
		<div class="right">
			'.implode('<br />', $more).'
		</div>
	</div>
	<div class="body">
		'.$body.'
	</div>
	<div class="status">
		<div class="left">
		<a href="'.BASEDIR.'profile.php'
			.'?lookup='.$event['user_id'].'">'.$event['user_name']
				.'</a> - '.showdate('shortdate',
			$event['ctime']).'
		</div>
		<div class="right">
			'.$admin_stuff.'
		</div>
	</div>
	<div style="clear:both;"></div>
</div>';
*/


	$date = $event['date'];
	if($event['ev_repeat'] && $event['ev_end']!='0000-00-00') {
		$date .= ' - '.$event['ev_end'];
	}


	echo '
<p></p>
<table border="0" width="100%" cellspacing="1" cellpadding="0" class="tbl-border">
<tbody>
<tr class="tbl2">
	<td>
	<table width="100%">
	<tr>
		<td width="38"><img src="icons/event.gif" alt="'.$locale['EC300'].'" /></td>
		<td>
			'.$date.'<br />
			'.$time.'
			<span class="awec_title">'.$event['ev_title'].'</span>
		</td>
		<td valign="top" align="right">'.implode('<br />', $more).'</td>
	</tr>
	</table>
	</td>
</tr>
<tr class="tbl1">
	<td>'.$body.'</td>
</tr>
<tr class="tbl2">
	<td>
	<table width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td><span class="small2"><a href="'.BASEDIR.'profile.php'
			.'?lookup='.$event['user_id'].'">'.$event['user_name']
				.'</a> - '.showdate('shortdate',
				$event['ctime']).'</span></td>
		<td align="right">'.$admin_stuff.'</td>
	</tr>
	</table>
	</td>
</tr>
</tbody>
</table>';
}
}



if(!function_exists('ec_render_birthday')) {
function ec_render_birthday($event)
{
	global $locale;

	$body = str_replace(
		array('%1', '%2'),
		array('<a href="'.BASEDIR.'profile.php?lookup='.$event['user_id'].'">'.$event['user_name'].'</a>', $event['years_old']),
		$locale['awec_user_birthday']['body']);

/*
	echo '
<div class="awec_event">
	<img src="icons/birthday.png" alt="'.$locale['EC712'].'" class="icon" />
	<div class="head">
		'.$event['date'].'<br />
		<span class="title">'.$event['ev_title'].'</span>
	</div>
	<div class="body">
		'.$body.'
	</div>
</div>';
*/

	echo '
<p></p>
<table border="0" width="100%" cellspacing="1" cellpadding="0" class="tbl-border">
<tbody>
<tr class="tbl2">
	<td>
	<table width="100%">
	<tr>
		<td width="38"><img src="icons/birthday.png" alt="'.$locale['EC712'].'" /></td>
		<td>
			'.$event['date'].'<br />
			<span class="awec_title">'.$event['ev_title'].'</span>
		</td>
	</tr>
	</table>
	</td>
</tr>
<tr class="tbl1">
	<td>'.$body.'</td>
</tr>
</tbody>
</table>';
}
}





function awec_get_bb_smileys($form, $show_no_smileys_field, $smileys_off) {
	global $locale;
	$retval = "
<input type='button' value='b' class='button' style='font-weight:bold;' onclick=\"addText('$form', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;' onclick=\"addText('$form', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;' onclick=\"addText('$form', '[u]', '[/u]');\">
<input type='button' value='url' class='button' onclick=\"addText('$form', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' onclick=\"addText('$form', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' onclick=\"addText('$form', '[img]', '[/img]');\">
<input type='button' value='center' class='button' onclick=\"addText('$form', '[center]', '[/center]');\">
<input type='button' value='small' class='button' onclick=\"addText('$form', '[small]', '[/small]');\">
<input type='button' value='code' class='button' onclick=\"addText('$form', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' onclick=\"addText('$form', '[quote]', '[/quote]');\">";

	if($show_no_smileys_field) {
		$retval .= '
<p>
<label><input type="checkbox" name="disable_smileys"'
	.($smileys_off
		? ' checked="checked"'
		: '')
.' /> '.$locale['EC112'].'</label>
</p>';
	}

	$retval .= '
<p>
<fieldset>
'.displaysmileys($form).'
</fieldset>
</p>';

	return $retval;
}


if(!function_exists('show_info')) {
function show_info($info, $class='warning')
{
	if(is_array($info)) {
		$info = '
<ul>
	<li>'.implode("</li>\n\t<li>", $info).'</li>
</ul>';
	}

	echo '
<div class="tbl1" style="font-weight:bold; padding:10px 50px;">
'.$info.'
</div>
';
}
}


function awec_set_title($title)
{
	global $locale;

	if(defined('IN_FF')) {
		if($title) {
			ff_add_to_title($locale['awec_calendar'].'::'.$title);
		} else {
			ff_add_to_title($locale['awec_calendar']);
		}
	} else {
	}
}

?>
