<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION') || !checkrights('I')) {
	die();
}


$infusion = array(
	'title'		=> 'Event Calendar',
	'description'	=> 'Event Calendar',
	'version'	=> '2.01',
	'developer'	=> 'Artur Wiebe, Grimloch',
	'email'		=> 'wibix@gmx.de',
	'weburl'	=> 'http://wibix.de',
);

$admin_links = array();
$admin_links[] = array(
	'title'		=> $infusion['title'],
	'image'		=> '',
	'url'		=> 'admin.php',
	'rights'	=> 'AWEC',
);

$site_links = array();
$site_links[] = array(
	'title'		=> $infusion['title'],
	'image'		=> '',
	'url'		=> 'index.php',
	'visibility'	=> '0',
);


/* TABLE STUFF */
$new_tables = array();
$alter_tables = array();
$new_rows = array();
$del_rows = array();

$new_tables['aw_ec_events'] = "(
	ev_id int(10) unsigned NOT NULL auto_increment,
	user_id smallint(5) unsigned NOT NULL default '0',
	ev_title varchar(200) NOT NULL default '',
	ev_body text NOT NULL,
	ev_no_smileys tinyint(1) unsigned NOT NULL default '0',
	ctime int(11) NOT NULL default '0',
	mtime int(11) NOT NULL default '0',
	ev_start date NOT NULL default '0000-00-00',
	ev_end date NOT NULL default '0000-00-00',
	ev_start_time time default NULL,
	ev_end_time time default NULL,
	ev_repeat tinyint(1) unsigned NOT NULL default '0',
	ev_private tinyint(1) unsigned NOT NULL default '0',
	ev_status tinyint(1) unsigned NOT NULL default '0',
	ev_allow_logins tinyint(1) NOT NULL default '0',
	ev_max_logins smallint(5) unsigned NOT NULL default '0',
	ev_login_access tinyint(3) unsigned NOT NULL default '101',
	ev_login_limit tinyint(1) unsigned NOT NULL default '0',
	ev_login_start int(10) unsigned NOT NULL default '0',
	ev_login_end int(10) unsigned NOT NULL default '0',
	ev_access tinyint(3) unsigned NOT NULL default '0',
	admin_user_id smallint(5) unsigned NOT NULL default '1',
	PRIMARY KEY (ev_id),
	KEY (ev_start),
	KEY (ev_end)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$new_tables['awec_attachments'] = "(
	attach_id int(10) unsigned NOT NULL auto_increment,
	event_id int(10) unsigned NOT NULL default '0',
	filename varchar(100) NOT NULL default '',
	comment varchar(200) NOT NULL default '',
	PRIMARY KEY (attach_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$new_tables['aw_ec_cats'] = "(
	cat_id smallint(5) unsigned NOT NULL auto_increment,
	cat_name varchar(100) NOT NULL default '0',
	PRIMARY KEY (cat_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$new_tables['aw_ec_events_in_cats'] = "(
	cat_id smallint(5) unsigned NOT NULL default '0',
	event_id int(10) unsigned NOT NULL default '0',
	PRIMARY KEY (cat_id, event_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$new_tables['aw_ec_logins'] = "(
	ev_id int(10) unsigned NOT NULL default '0',
	user_id smallint(5) unsigned NOT NULL default '0',
	login_comment varchar(50) NOT NULL default '',
	login_status tinyint(1) unsigned NOT NULL default '0',
	login_timestamp int(10) unsigned NOT NULL default '0',
	PRIMARY KEY (ev_id, user_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$new_tables['aw_ec_settings'] = "(
	need_admin_ok tinyint(1) NOT NULL default '1',
	edit_group tinyint(3) unsigned NOT NULL default '103',
	post_group tinyint(3) unsigned NOT NULL default '101',
	user_can_edit tinyint(1) NOT NULL default '1',
	show_today_in_panel tinyint(1) unsigned NOT NULL default '0',
	show_birthday_to_group tinyint(3) unsigned NOT NULL default '0',
	birthdays_are_events tinyint(1) unsigned NOT NULL default '0',
	birthdate_fmt varchar(50) NOT NULL default '%d.%m.%Y',
	date_fmt varchar(50) NOT NULL default '%d.%m.%Y',
	sidedate_fmt varchar(50) NOT NULL default '%d.%m. ',
	time_fmt varchar(50) NOT NULL default '%H:%i',
	invite_pm tinyint(1) unsigned NOT NULL default '0',
	default_month_view enum('calendar','list') NOT NULL default 'calendar',
	sho_cal_pics tinyint(1) unsigned NOT NULL default '0',
	default_image_folder varchar(20) NOT NULL default '',
	sho_cal_lgnd tinyint(1) unsigned NOT NULL default '0',
	use_custom_css tinyint(1) unsigned NOT NULL default '0',
	use_alt_side_calendar tinyint(1) unsigned NOT NULL default '0',
	next_days_in_panel tinyint(1) NOT NULL default '0',
	sun_first_dow enum('yes', 'no') NOT NULL default 'no',
	version varchar(10) NOT NULL default '".$inf_version."'
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";


$new_rows[] = "aw_ec_settings () VALUES ()";





/****************************************************************************
 * PHP-FUSION-CONVERTER
 */
//if(defined('IN_FF')) {
//	return;
//}

$ver_numbers = explode('.', $settings['version']);
$main_ver = intval(array_shift($ver_numbers));
//echo 'VERSION='.$main_ver;



$inf_title		= $infusion['title'];
$inf_description	= $infusion['description'];
$inf_version	= $infusion['version'];
$inf_developer	= $infusion['developer'];
$inf_email		= $infusion['email'];
$inf_weburl	= $infusion['weburl'];

$inf_folder	= basename(dirname(__FILE__));


if($main_ver==6) {
	$inf_newtables	= count($new_tables);
	$inf_insertdbrows	= count($new_rows);
	$inf_altertables	= count($alter_tables); 
	$inf_deldbrows	= count($del_rows); 

	$inf_newtable_ = array();
	$inf_droptable_ = array();
	$inf_insertdbrow_ = array();

	if(count($admin_links)) {
		$link = array_shift($admin_links);
		$inf_admin_image = $link['image'];
		$inf_admin_panel = $link['url'];
	} else {
		$inf_admin_image	= '';
		$inf_admin_panel	= '';
	}

	if(count($site_links)) {
		$link = array_shift($site_links);
		$inf_link_name = $link['title'];
		$inf_link_url = $link['url'];
		$inf_link_visibility = $link['visibility'];
	} else {
		$inf_link_name	= '';
		$inf_link_url	= '';
		$inf_link_visibility	= '';
	}

	$i = 0;
	foreach($new_tables as $tname => $tsql) {
		++$i;
		$inf_newtable_[$i] = $tname.$tsql;
		$inf_droptable_[$i] = $tname;
	}

	$i = 0;
	foreach($new_rows as $row) {
		$inf_insertdbrow_[++$i] = $row;
	}


} elseif($main_ver==7) {
	$inf_newtable = '';
	$inf_droptable = '';
	$inf_insertdbrow = '';

	if(count($admin_links)) {
		$i = 0;
		foreach($admin_links as $link) {
			$link['panel'] = $link['url'];
			$inf_adminpanel[++$i] = $link;
		}
	} else {
		$inf_adminpanel = '';
	}

	if(count($site_links)) {
		$i = 0;
		foreach($site_links as $link) {
			$inf_sitelink[++$i] = $link;
		}
	} else {
		$inf_sitelink = '';
	}

	$i = 0;
	foreach($new_tables as $tname => $tsql) {
		++$i;
		$inf_newtable[$i] = DB_PREFIX.$tname.$tsql;
		$inf_droptable[$i] = DB_PREFIX.$tname;
	}

	$i = 0;
	foreach($new_rows as $row) {
		$inf_insertdbrow[++$i] = DB_PREFIX.$row;
	}
}
?>

